Skip to main content
PUT
/
items
/
{id}
Update by Id
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/items/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "",
  "default_taxable": "",
  "default_description": "",
  "type": "",
  "sku": "",
  "default_unit_price": "",
  "default_unit_cost": "",
  "default_quantity": "",
  "track_inventory": "",
  "is_active": "",
  "xero_sales_account": "",
  "xero_tax_account": "",
  "tax_rate": "",
  "vendor_id": "",
  "vendor_type": "",
  "vendor_name": "",
  "supplier_item_id": "",
  "is_automatic_replenishment_by_purchase_order_enabled": "",
  "auto_reorder_level": "",
  "replenishment_level": "",
  "minimum_order_quantity": "",
  "price_update_method": "",
  "automatic_markup_percentage": "",
  "inventory_mode": "",
  "qbo_sales_tax_code_id": "",
  "qbo_purchase_tax_code_id": "",
  "qbo_income_account_id": "",
  "qbo_expense_account_id": "",
  "qbo_asset_account_id": "",
  "qbo_id": "",
  "quantity_available": "",
  "unit_measure": "",
  "external_id": "",
  "external_type": "",
  "external_sync_status": "",
  "upc": "",
  "unit_cost_per_unit_measure": "",
  "unit_price_per_unit_measure": "",
  "minimum_dimensional_size": "",
  "maximum_dimensional_size": "",
  "is_round_up_to_even_dimensional_size": "",
  "is_labor_item": "",
  "inventory_hub_items": [
    {
      "inventory_hub_id": "",
      "is_automatic_replenishment_by_purchase_order_enabled": "",
      "auto_reorder_level": "",
      "replenishment_level": "",
      "quantity_available": ""
    },
    {
      "inventory_hub_id": "",
      "is_automatic_replenishment_by_purchase_order_enabled": "",
      "auto_reorder_level": "",
      "replenishment_level": "",
      "quantity_available": ""
    }
  ],
  "item_links": [
    {
      "item_id": "",
      "name": "",
      "url": ""
    },
    {
      "item_id": "",
      "name": "",
      "url": ""
    }
  ],
  "serialized_inventories": [
    {
      "serial_number": "",
      "reference_number": "",
      "asset_template_id": "",
      "invoice_id": "",
      "hub_id": "",
      "id_number": "",
      "default_unit_cost": ""
    },
    {
      "serial_number": "",
      "reference_number": "",
      "asset_template_id": "",
      "invoice_id": "",
      "hub_id": "",
      "id_number": "",
      "default_unit_cost": ""
    }
  ],
  "item_price_tiers": [
    {
      "tier_id": "",
      "adjustment_property": "",
      "adjustment_value": ""
    },
    {
      "tier_id": "",
      "adjustment_property": "",
      "adjustment_value": ""
    }
  ],
  "customfields": [
    {
      "id": "",
      "field_instance_id": "",
      "value": ""
    },
    {
      "id": "",
      "field_instance_id": "",
      "value": ""
    }
  ],
  "tags": ""
}
'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Path Parameters

id
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response